<!DOCTYPE html>
<html lang="en">

<head th:replace="fragments/layout.html :: head('Register')"></head>

<body>

    <div class="container-fluid">

        <div class="card w-75 mx-auto mt-3">
            <div class="card-body">
                <h1 class="card-title">Register</h1>
                <form th:action="@{/register}" method="post">
                    <p class="text-danger" th:if="${error != null}" th:text="${error}"></p>
                    <label for="email">Email</label>
                    <input class="form-control" type="email" id="email" th:field="${user.email}">
                    <label for="password">Password</label>
                    <input class="form-control" type="password" id="password" th:field="${user.password}">
                    <label for="repeat-password">Repeat Password</label>
                    <input class="form-control" type="password" id="repeat-password">

                    <button disabled class="btn btn-primary mt-3">Register</button>

                </form>
            </div>
        </div>
    </div>


    <script>
        const password = document.querySelector('#password');
        const repeatPassword = document.querySelector('#repeat-password');
        const btnSubmit = document.querySelector('button');

        repeatPassword.addEventListener('input', () => btnSubmit.disabled = repeatPassword.value !== password.value);

    </script>
</body>

</html>